"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$iscollection = void 0;
const url_1 = require("url");
const types_1 = require("./types");
const commons_1 = require("./commons");
function $iscollection(o) { return (0, commons_1.$ismethod)(o, 'getItems'); }
exports.$iscollection = $iscollection;
url_1.URL.prototype.isEqual = function isEqual(other) {
    return this === other || (other instanceof url_1.URL && this.href === other.href);
};
url_1.URL.prototype.compare = function compare(other) {
    if (other === this) {
        return types_1.Same;
    }
    if (!(other instanceof url_1.URL)) {
        return undefined;
    }
    return this.href < other.href ? types_1.Ascending : (this.href > other.href ? types_1.Descending : types_1.Same);
};
url_1.URL.prototype.toArray = function toArray() { return [this]; };
//# sourceMappingURL=tsobject.js.map